#
# spec file for package csri
#
# Copyright (c) 2010 Dominique Leuenberger, Amsterdam, Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           csri
Version:        0.3.2
Release:        13.3
License:        GPL
Summary:        ASA
Url:            http://asa.diac24.net/Main_Page
Group:          System/Libraries
Source:         %{name}-%{version}.tar.bz2
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch0:         %{name}-%{version}-Makefile-x86_64.diff
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch1:         %{name}-%{version}-configure.diff
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  fontconfig-devel
BuildRequires:  freetype2-devel
BuildRequires:  pcre-devel
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Packager: 	Dominique Leuenberger <dominique-rpm@leuenberger.net>

%description
asa

%package devel
Summary:        ASA Header files and Libraries
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
Headers and libraries to program against ASA

%package -n libasa0
Summary:        LibASA
Group:          Development/Libraries/C and C++

%description -n libasa0
The LibASA Library, to be required by applications

%package -n libasa-devel
Summary:        LibASA Development headers
Group:          Development/Libraries/C and C++
Requires:       libasa0 = %{version}

%description -n libasa-devel
The LibASA Development headers. Required if you want to build against libasa

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
./bootstrap
CFLAGS="%{optflags} -fPIC" %configure
make

%install
%makeinstall

%clean
rm -rf %{buildroot}

%post -n libasa0 -p /sbin/ldconfig
%postun -n libasa0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/csri
%{_libdir}/csri

%files devel
%defattr(-,root,root)
%{_includedir}/csri
%{_libdir}/libcsri.a
%exclude %{_libdir}/libcsri.la
%{_libdir}/pkgconfig/csri.pc

%files -n libasa0
%defattr(-,root,root)
%{_libdir}/libasa.so.0
%{_libdir}/libasa.so.0.0.0
%{_datadir}/asa
%{_datadir}/locale/de/LC_MESSAGES/asa.mo

%files -n libasa-devel
%defattr(-,root,root)
%{_libdir}/libasa.a
%exclude %{_libdir}/libasa.la
%{_libdir}/libasa.so
%{_libdir}/pkgconfig/asa.pc

%changelog
* Tue Apr 20 2010 dominique-vlc.suse@leuenberger.net
- BuildRequire libass-devel
